.text--green {
  color: #5a7931;
}

.text--blue {
  color: #214d8f;
}

.text--red {
  color: #852821
}

.text--violet {
  color: #5d1358;
}

.text-yellow {
  color: #f8e17a;
}

.cardContainer {
  width: 300px;
  height: 470px;
}

.card {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 35px;
  box-shadow: 0 0 10px #ccc;
  display: flex;

  &--green {
    background-color: #5a7931;
  }

  &--blue {
    background-color: #214d8f;
  }

  &--red {
    background-color: #852821;
  }

  &--violet {
    background-color: #5d1358;
  }
  &--yellow {
    background-color: #f8e17a;
  }

  .winCondition {
    width: fit-content;
    font-size: 170%;
    color: white;
    margin: 0 auto;
    margin-top: 10px;
  }

  .cardBackgroundImage {
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: center;
    opacity: 0.95;
    top: 50px;
    width: 100%;
    height: 65%;
    background-color: white;
    &__image {
      position: absolute;
      top: 30px;
      width: 100%;
      height: calc(100% - 30px);
    }
  }

  .cardType {
    text-align: center;
    height: 60px;
    width: 300px;
    font-size: 170%;
    z-index: 20;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
    &__text {
      max-width: 180px;
    }
    &__icon {
      margin-right: 7px;
      width: 40px;
      height: 40px;
      background-size: 23px 23px;
      background-repeat: no-repeat;
      background-position: center;
      border-radius: 50%;
      
      &--green {
        background-color: #5a7931;
      }
      &--blue {
        background-color: #214d8f;
      }
      &--red {
        background-color: #852821;
      }
      &--violet {
        background-color: #5d1358;
      }
      &--yellow {
        background-color: #f8e17a;
      }
    }
    &--shop {
      background-size: 27px 27px;
      background-image: url("../../images/shop.svg");
    }
    &--factory {
      background-image: url("../../images/factory.svg");
    }
    &--fruit {
      background-size: 31px 31px;
      background-position: center 35%;
      background-image: url("../../images/peach.svg");
    }
    &--wheat {
      background-position: 60% center;
      background-size: 36px 36px;
      background-image: url('../../images/wheat.svg');
      transform: rotate(45deg);
    }
    &--farm {
      background-size: 35px 35px;
      background-image: url('../../images/farm.svg');
    }
    &--gear {
      background-size: 32px  32px;
      background-image: url('../../images/gear.svg');
    }
    &--fishing {
      background-size: 25px 25px;
      background-image: url('../../images/fish.svg');
    }
    &--cafe {
      background-position: 60% 60%;
      background-size: 27px 27px;
      background-image: url('../../images/cafe.svg');
    }
  }

  .cardPrice {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 16px;
    left: 13px;
    width: 41px;
    height: 41px;
    border-radius: 50%;
    background-color: #cb8f36;
    box-shadow: 0px 0px 3px white;
    .inside {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 31px;
      height: 31px;
      border-radius: 50%;
      background-color: #ceb74f;
      .superInside {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 23px;
        height: 23px;
        border-radius: 50%;
        background-color: rgb(192, 157, 3);
        color: #471506;
      }
    }
  }

  .cardDescription {
    width: fit-content;
    position: absolute;
    bottom: 0px;
    height: 90px;
    margin-bottom: 18px;
    text-align: center;
    left: 50%;
    transform: translate(-50%);
    color: white;
    font-size: 14px;
    line-height: 15px;
    &__line1 {
      max-width: 200px;
    }
    &__line2 {
      margin-top: 15px;
    }
  }
}
